function onBegin()
    if not getFlag("LinjDownComfTwo") then
	makeUnskippable()
	disableRetry()
		getLevel().SaveQuitDisabled = true
		disableMovement()
		waitUntilOnGround ()
		playMusic("music_farewell_golden_room",0)
        say("SJ2021_Linj_DownComfTwo")
		playMusic("event:/sj21_reaver",0)
		player.DummyAutoAnimate = true
    end
end

function onEnd()
    enableMovement()
    setFlag("LinjDownComfTwo", true)
end